package apap.tutorial.belajarbelajar.service;

import apap.tutorial.belajarbelajar.model.CourseModel;
import apap.tutorial.belajarbelajar.rest.CourseDetail;
import reactor.core.publisher.Mono;

import java.util.List;

public interface CourseRestService {
    CourseModel createCourse(CourseModel course);
    List<CourseModel> retrieveListCourse();
    CourseModel getCourseByCode(String code);
    CourseModel updateCourse(String code, CourseModel courseUpdate);
    void deleteCourse(String code);

    Mono<String> getStatus(String code);

    Mono<CourseDetail> postStatus();
}
